# Delete

To delete an existing role you need to execute a **DELETE** request against the **/roles/:idOrName** endpoint. Role name is more human readable compared to ids, but it is up to you what you are going to use.

You can find **id** and **name** inside the [create role](/reference/rest-api/roles-and-permissions/create.md#response-200-ok) response.

{% hint style="danger" %}
This is a destructive operation which cannot be undone. Note also that you are not allowed to delete roles which are currently used inside a live session and also roles which are set as default roles in rooms.
{% endhint %}

#### Request

{% tabs %}
{% tab title="cURL" %}

```bash
curl --request DELETE \
  --url https://api.digitalsamba.com/api/v1/roles/2d9448b9-d9ee-4102-b31a-f83ab4af2af8 \
  --user YOUR_TEAM_ID:YOUR_DEVELOPER_KEY
```

{% endtab %}

{% tab title="Java" %}

```java
import com.fasterxml.jackson.databind.ObjectMapper;

import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.util.Base64;
import java.util.Map;

String TEAM_ID = "YOUR_TEAM_ID";
String DEVELOPER_KEY = "YOUR_DEVELOPER_KEY";
String authorizationHeader = "Bearer " + Base64.getEncoder().encodeToString((TEAM_ID + ":" + DEVELOPER_KEY).getBytes());
//Put your role id here - this value is just an example
String roleId = "2d9448b9-d9ee-4102-b31a-f83ab4af2af8";

HttpRequest request = HttpRequest.newBuilder()
  .DELETE()
  .uri(new URI("https://api.digitalsamba.com/api/v1/roles/" + roleId))
  .header("Authorization", authorizationHeader)
  .build();

HttpClient client = HttpClient.newHttpClient();
HttpResponse<String> response = client.send(request, BodyHandlers.ofString());

System.out.println("Status code: " + response.statusCode());
System.out.println("Body: " + response.body());
```

{% endtab %}
{% endtabs %}

**Response (204 -> No Content)**&#x20;

Response is empty because the role was deleted and there is no content to return.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalsamba.com/reference/rest-api/roles-and-permissions/delete.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
